// require('./stylus/app.styl')
import Semver from 'semver'
import { devDependencies, version } from '../package.json'
import * as components from './components'
// import * as directives from './directives'
function SafaJsComponent (Vue) {
  const SafaJsComponent = components.SafaJsComponent
  Vue.use(SafaJsComponent, {
    components
    // directives
  })
}

SafaJsComponent.version = version

function checkVueVersion () {
  const vueDep = devDependencies.vue
  if (!Semver.satisfies(window.Vue.version, vueDep)) {
    console.warn(`SafaJsComponent requires Vue version ${vueDep}`)
  }
}

if (typeof window !== 'undefined' && window.Vue) {
  window.Vue.version && checkVueVersion()
  window.Vue.use(SafaJsComponent)
}
export default SafaJsComponent
